import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);
export default new Router({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : 'liveQuest',
  routes: [
    {
      path: '/',
      redirect: '/homeIndex',
    },
    {
      path: '/',
      component: () => import('../components/common/Home.vue'),
      meta: { title: '自述文件1' },
      children: [
        {
          path: '/homeIndex',
          component: () => import('../views/homeIndex.vue'),
          meta: { title: '系统首页' },
        },
        // 问卷管理
        {
          path: '/question',
          component: () => import('../views/question/index.vue'),
          meta: { title: '问卷管理' },
        },
        {
          path: '/question/detail',
          component: () => import('../views/question/detail.vue'),
          meta: { title: '问卷信息管理' },
        },
        {
          path: '/question/setQuestion',
          component: () => import('../views/question/setQuestion.vue'),
          meta: { title: '设置问卷' },
        },
        {
          path: '/questions',
          component: () => import('../views/questions/index.vue'),
          meta: { title: '问卷管理(第二种)' },
        },
        {
          path: '/questions/detail',
          component: () => import('../views/questions/detail.vue'),
          meta: { title: '问卷信息管理' },
        },
        {
          path: '/questions/setQuestion',
          component: () => import('../views/questions/setQuestion.vue'),
          meta: { title: '设置问卷' },
        },
        {
          path: '/questionBank',
          component: () => import('../views/questionBank/index.vue'),
          meta: { title: '题库管理' },
        },
        {
          path: '/questionBank/detail',
          component: () => import('../views/questionBank/detail.vue'),
          meta: { title: '题库信息管理' },
        },
        {
          path: '/answer',
          component: () => import('../views/answer/index.vue'),
          meta: { title: '答案管理' },
        },
        {
          path: '/answer/detail',
          component: () => import('../views/answer/detail.vue'),
          meta: { title: '问卷答题情况' },
        },
      ],
    },
    {
      path: '/login',
      component: () => import('../views/Login.vue'),
      meta: { title: '登录' },
    },
    {
      path: '*',
      redirect: '/404',
    },
  ],
});
